#ifndef SW_DEBUG_H
#define SW_DEBUG_H

/* debugging */
#if DEBUG_LEVEL
extern int debug_level;
extern void debug(int level, char *msg);
extern void debug_s(int level, char *msg, char *s);
extern void debug_sa(int level, char *msg, stralloc *sa);
extern void debug_long(int level, char *msg, long num);
extern void debug_ulong(int level, char *msg, unsigned long num);
extern void log_long(unsigned long n);
#define die_nomem() panic("nomem() @ file:" __FILE__ "!")
#else
#define debug(l,m)
#define debug_s(l,m,s)
#define debug_sa(l,m,sa)
#define debug_long(l,m,n)
#define debug_ulong(l,m,n)
#define log_long(l,m,n)
#define die_nomem() panic("nomem()")
#endif

#endif
